Upgrading to gtk+-1.2.3-2

Upgrading to gtk+-1.2.3-2

Post by Wayne Powe » Sun, 29 Aug 1999 04:00:00




> Has anyone upgraded from gtk+-1.0.6-3 (and glib, from the RedHat 5.2
> distribution) to gtk+-1.2.3-2 (and glib) using the rpm files sourced via
> the gtk web site and still had everything (such as GIMP) working
> afterwards?

I have RH 5.2 and upgraded glib, gtk and gimp... but by fetching the
sources from a gnu mirror and compiling them, not an rpm file.  I used
the rpm command only to remove the original versions.

The installs have to be done in order (glib, gtk, gimp).  The default
install
path is /usr/local, so I needed to edit /etc/ld.so.conf, add /usr/local/lib,
and
rerun ldconfig after installing glib.  ldconfig must be run again after
installing
gtk and before making gimp.  The configure scripts for gtk and gimp bombed
because they could not find the shared libraries until ldconfig had rebuilt
/etc/ld.so.cache.

Quote:> I forced the upgrade using rpm, then manually rebuilt symbolic links to
> make GIMP happy only to be eventually confronted with an undefined
> symbol from GIMP, gtk_accelerator_table_set_mod_mask, at which point
> I reverted to the RedHat 5.2 versions.

The nature of your error looks suspiciously similar.  In your case,  you may
have
only needed to run ldconfig after the installation.  Just a guess.

Quote:> Polite suggestions welcome :-)

Polite corrections welcome :-)

--wmp

 
 
 

Upgrading to gtk+-1.2.3-2

Post by Spike » Sun, 29 Aug 1999 04:00:00



> Hello,
> This may be a dumb question, but...
> Has anyone upgraded from gtk+-1.0.6-3 (and glib, from the RedHat 5.2
> distribution) to gtk+-1.2.3-2 (and glib) using the rpm files sourced via
> the gtk web site and still had everything (such as GIMP) working
> afterwards?

Nah. I upgraded to gtk-1.2.1 from 1.0.4 a while back, but I downloaded the
sources, compiled them myself, and installed them in a directory away from
the standard libraries so they wouldn't interfere and break my Gimp.

Quote:> I forced the upgrade using rpm, then manually rebuilt symbolic links to
> make GIMP happy only to be eventually confronted with an undefined
> symbol from GIMP, gtk_accelerator_table_set_mod_mask, at which point
> I reverted to the RedHat 5.2 versions.

Best bet? Do what I did, and only tell newer applications that require
gtk-1.2.x where to look.

LD_LIBRARY_PATH is the environment variable for that, of course.
--
______________________________________________________________________________

|    Andrew Halliwell BSc   |                                                |
|             in            | "I think so brain, but this time, you control  |
|      Computer Science     |  the Encounter suit, and I'll do the voice..." |
------------------------------------------------------------------------------
|GCv3.12 GCS>$ d-(dpu) s+/- a C++ US++ P L/L+ E-- W+ N++ o+ K PS+  w-- M+/++ |
|PS+++ PE- Y t+ 5++ X+/X++ R+ tv+ b+ DI+ D+ G e++ h/h+ !r!|  Space for hire  |
------------------------------------------------------------------------------

 
 
 

1. gtk+-1.2.3 on lib5 linux

Hello
    I am trying to install gtk+-1.2.3 on Openlinux 1.3 (lib5) but I
can't make it.
Instead I've got
loads of errors such as:

../gdk/.libs/libgdk.so: undefined reference to `g_main_add_poll'
.libs/libgtk.so: undefined reference to `g_get_prgname'
.libs/libgtk.so: undefined reference to `g_node_reverse_children'
../gdk/.libs/libgdk.so: undefined reference to
`g_io_channel_unix_get_fd'
.libs/libgtk.so: undefined reference to `g_quark_from_static_string'
.libs/libgtk.so: undefined reference to `g_main_new'
.libs/libgtk.so: undefined reference to `g_main_run'
../gdk/.libs/libgdk.so: undefined reference to `g_source_add'

Any hint?

Thanks

Ed

Sent via Deja.com http://www.deja.com/
Share what you know. Learn what you don't.

2. Windowmaker Elf problem

3. compiling gtk+-1.2.7 SHARED library

4. Connection Refused from named

5. GTK+-1.2.6 configuration problem

6. How to convert LF to CR LF for transmission to PC

7. Parse errors building with gtk+-1.2.x

8. fingerprinting and tcphdr struct

9. gtk+-1.2.6 compiles with ccc

10. Weird Problem with gtk+-1.2.6

11. xsetlocale-error with gtk+-1.2.7

12. problems configuring gtk+-1.2.6 on redhat 6

13. Strange Kernel compile/install probs, 1.2.1-1.2.11